Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88268 - oowriter spellcheck "right-click-correct" feature swaps hard
Summary: oowriter spellcheck "right-click-correct" feature swaps hard
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 13:47 UTC by Josiah Royse
Modified: 2007-04-18 16:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-06 13:44:26 UTC


Attachments (Terms of Use)

Description Josiah Royse 2003-04-08 13:47:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After typing in a mis-spelled word in oowriter, performing a right-click on the
red-underlined word causes the system to swap hard, making it unusable for 30
seconds (AMD Athlon system 1Ghz).

Version-Release number of selected component (if applicable):
openoffice-1.0.2-4

How reproducible:
Always

Steps to Reproduce:
1.on RH9, new user, load oowriter
2.type "asdfg" with auto spell-check on, the word will be red-underlined
3.right-click on the underlined word
    

Actual Results:  System swaps hard and other windows will not focus until
OpenOffice writer is done spell-checking.

Expected Results:  With minimal delay, a suggestion is made.

Additional info:

"free" during oowriter usage (before spell-check):
---------
             total       used       free     shared    buffers     cached
Mem:        255372     251916       3456          0       4812      88524
-/+ buffers/cache:     158580      96792
Swap:      1124532      48628    1075904

"free" right after right-click:
--------------------------------
             total       used       free     shared    buffers     cached
Mem:        255372     251916       3456          0       2184      49488
-/+ buffers/cache:     200244      55128
Swap:      1124532     233660     890872

Comment 1 Josiah Royse 2003-04-08 13:48:20 UTC
I forgot to mention I never noticed this on the RH 8.0 release OpenOffice.

Comment 2 Need Real Name 2003-05-03 22:28:18 UTC
Saw same problem on my Athlon XP 1600+, 256MB DDR SDRAM with a stock install of
RH9, nothing tweaked.

I think it may depend on how much RAM you have installed. It is pretty severe
with only 256MB. Before trying the right-click-correct operation on a misspelled
word, soffice.bin was using 87MB of memory. After I performed this operation and
lost control of my X-windows UI for a while I was able to check the process
again and saw it was consuming 252MB of memory. I'm now using my swap space
quite heavily and that is not good.



Note You need to log in before you can comment on or make changes to this bug.